Bug 35604 - Old PDF Import Extension included
Summary: Old PDF Import Extension included
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-23 14:05 UTC by OfficeUser
Modified: 2011-12-24 06:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2011-03-23 14:05:03 UTC
LibreOffice installer comes with old PDF Import Extension version 1.0.3.

The most recent build is 1.0.4. Please update the installer.
Comment 2 Don't use this account, use tml@iki.fi 2011-03-23 23:42:00 UTC
We use the pdfimport sources as included in the LO source tree (from the OOo source tree). We don't distribute Oracle's binaries.
Comment 3 OfficeUser 2011-03-24 12:42:40 UTC
Oracle has not released sources for the current build of the extension?
Comment 4 Don't use this account, use tml@iki.fi 2011-03-24 12:59:36 UTC
They probably have, but they are obviously not in the OOo 3.3 (and thus LO 3.3.x) source tree.

Sure, it would presumably be trivial to use the newest pdfimport to 3.3.3. Should we do it? Are there any huge improvements between 1.0.3 and 1.0.4? Do they fix any bugs we have reported against pdfimport as included in LO 3.3, 3.3.1 or 3.3.2 ? Is anybody volunteering to do the work?
Comment 5 OfficeUser 2011-03-24 13:06:05 UTC
If possible we should do it. Huge improvements? I don't know how "huge" it has been improved. But I don't think that they just increased the version number. Since the extension is in general very "alpha" we should include also minor fixes.
Comment 6 Rainer Bielefeld Retired 2011-05-06 10:48:54 UTC
@Tor
In LibO 3.3.2 (WIN) I saw a locked extension with Oracle PDF Import 1.0.3. 
My  "LibreOffice 3.4Beta3  – WIN7  Home Premium  (64bit) [DEV300m103 (Build:3)]" has been shipped without PDF import, I had to install  Oracle PDF Import 1.0.4 from OOo Extensions Project. Can you confirm missing PDF import?
Comment 7 Rainer Bielefeld Retired 2011-05-13 01:10:46 UTC
Pls. also see 
Bug 37163 - PDF Import Extension will not be installed with LibO although selected
Comment 8 Björn Michaelsen 2011-12-23 11:48:31 UTC Comment hidden (obsolete)
Comment 9 Björn Michaelsen 2011-12-23 17:00:18 UTC
needinfo keyword redundant by needinfo status.
Comment 10 OfficeUser 2011-12-24 06:46:57 UTC
LOdev 3.5.0 
Build-ID: 7362ca8-b5a8e65-af86909-d471f98-61464c4

has PDF Import Extension 1.0.5 included.

-> resolved